IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/80
Addresses2^48
/64 networksPart of one
- Network
2c19:dd:ddea::/80- First address
2c19:dd:ddea::- Last address
2c19:dd:ddea::ffff:ffff:ffff- Addresses
- 281,474,976,710,656 (2^48)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:ddea:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
0.0.0.0.0.0.0.0.a.e.d.d.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:ddea::/80 makes 256 subnets of /88.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:ddea::/88 | 2c19:dd:ddea::ff:ffff:ffff |
| 2 | 2c19:dd:ddea::100:0:0/88 | 2c19:dd:ddea::1ff:ffff:ffff |
| 3 | 2c19:dd:ddea::200:0:0/88 | 2c19:dd:ddea::2ff:ffff:ffff |
| 4 | 2c19:dd:ddea::300:0:0/88 | 2c19:dd:ddea::3ff:ffff:ffff |
| 5 | 2c19:dd:ddea::400:0:0/88 | 2c19:dd:ddea::4ff:ffff:ffff |
| 6 | 2c19:dd:ddea::500:0:0/88 | 2c19:dd:ddea::5ff:ffff:ffff |
| 7 | 2c19:dd:ddea::600:0:0/88 | 2c19:dd:ddea::6ff:ffff:ffff |
| 8 | 2c19:dd:ddea::700:0:0/88 | 2c19:dd:ddea::7ff:ffff:ffff |
| 9 | 2c19:dd:ddea::800:0:0/88 | 2c19:dd:ddea::8ff:ffff:ffff |
| 10 | 2c19:dd:ddea::900:0:0/88 | 2c19:dd:ddea::9ff:ffff:ffff |
| 11 | 2c19:dd:ddea::a00:0:0/88 | 2c19:dd:ddea::aff:ffff:ffff |
| 12 | 2c19:dd:ddea::b00:0:0/88 | 2c19:dd:ddea::bff:ffff:ffff |
| 13 | 2c19:dd:ddea::c00:0:0/88 | 2c19:dd:ddea::cff:ffff:ffff |
| 14 | 2c19:dd:ddea::d00:0:0/88 | 2c19:dd:ddea::dff:ffff:ffff |
| 15 | 2c19:dd:ddea::e00:0:0/88 | 2c19:dd:ddea::eff:ffff:ffff |
| 16 | 2c19:dd:ddea::f00:0:0/88 | 2c19:dd:ddea::fff:ffff:ffff |
| 17 | 2c19:dd:ddea::1000:0:0/88 | 2c19:dd:ddea::10ff:ffff:ffff |
| 18 | 2c19:dd:ddea::1100:0:0/88 | 2c19:dd:ddea::11ff:ffff:ffff |
| 19 | 2c19:dd:ddea::1200:0:0/88 | 2c19:dd:ddea::12ff:ffff:ffff |
| 20 | 2c19:dd:ddea::1300:0:0/88 | 2c19:dd:ddea::13ff:ffff:ffff |
| 21 | 2c19:dd:ddea::1400:0:0/88 | 2c19:dd:ddea::14ff:ffff:ffff |
| 22 | 2c19:dd:ddea::1500:0:0/88 | 2c19:dd:ddea::15ff:ffff:ffff |
| 23 | 2c19:dd:ddea::1600:0:0/88 | 2c19:dd:ddea::16ff:ffff:ffff |
| 24 | 2c19:dd:ddea::1700:0:0/88 | 2c19:dd:ddea::17ff:ffff:ffff |
| 25 | 2c19:dd:ddea::1800:0:0/88 | 2c19:dd:ddea::18ff:ffff:ffff |
| 26 | 2c19:dd:ddea::1900:0:0/88 | 2c19:dd:ddea::19ff:ffff:ffff |
| 27 | 2c19:dd:ddea::1a00:0:0/88 | 2c19:dd:ddea::1aff:ffff:ffff |
| 28 | 2c19:dd:ddea::1b00:0:0/88 | 2c19:dd:ddea::1bff:ffff:ffff |
| 29 | 2c19:dd:ddea::1c00:0:0/88 | 2c19:dd:ddea::1cff:ffff:ffff |
| 30 | 2c19:dd:ddea::1d00:0:0/88 | 2c19:dd:ddea::1dff:ffff:ffff |
| 31 | 2c19:dd:ddea::1e00:0:0/88 | 2c19:dd:ddea::1eff:ffff:ffff |
| 32 | 2c19:dd:ddea::1f00:0:0/88 | 2c19:dd:ddea::1fff:ffff:ffff |
| 33 | 2c19:dd:ddea::2000:0:0/88 | 2c19:dd:ddea::20ff:ffff:ffff |
| 34 | 2c19:dd:ddea::2100:0:0/88 | 2c19:dd:ddea::21ff:ffff:ffff |
| 35 | 2c19:dd:ddea::2200:0:0/88 | 2c19:dd:ddea::22ff:ffff:ffff |
| 36 | 2c19:dd:ddea::2300:0:0/88 | 2c19:dd:ddea::23ff:ffff:ffff |
| 37 | 2c19:dd:ddea::2400:0:0/88 | 2c19:dd:ddea::24ff:ffff:ffff |
| 38 | 2c19:dd:ddea::2500:0:0/88 | 2c19:dd:ddea::25ff:ffff:ffff |
| 39 | 2c19:dd:ddea::2600:0:0/88 | 2c19:dd:ddea::26ff:ffff:ffff |
| 40 | 2c19:dd:ddea::2700:0:0/88 | 2c19:dd:ddea::27ff:ffff:ffff |
| 41 | 2c19:dd:ddea::2800:0:0/88 | 2c19:dd:ddea::28ff:ffff:ffff |
| 42 | 2c19:dd:ddea::2900:0:0/88 | 2c19:dd:ddea::29ff:ffff:ffff |
| 43 | 2c19:dd:ddea::2a00:0:0/88 | 2c19:dd:ddea::2aff:ffff:ffff |
| 44 | 2c19:dd:ddea::2b00:0:0/88 | 2c19:dd:ddea::2bff:ffff:ffff |
| 45 | 2c19:dd:ddea::2c00:0:0/88 | 2c19:dd:ddea::2cff:ffff:ffff |
| 46 | 2c19:dd:ddea::2d00:0:0/88 | 2c19:dd:ddea::2dff:ffff:ffff |
| 47 | 2c19:dd:ddea::2e00:0:0/88 | 2c19:dd:ddea::2eff:ffff:ffff |
| 48 | 2c19:dd:ddea::2f00:0:0/88 | 2c19:dd:ddea::2fff:ffff:ffff |
| 49 | 2c19:dd:ddea::3000:0:0/88 | 2c19:dd:ddea::30ff:ffff:ffff |
| 50 | 2c19:dd:ddea::3100:0:0/88 | 2c19:dd:ddea::31ff:ffff:ffff |
| 51 | 2c19:dd:ddea::3200:0:0/88 | 2c19:dd:ddea::32ff:ffff:ffff |
| 52 | 2c19:dd:ddea::3300:0:0/88 | 2c19:dd:ddea::33ff:ffff:ffff |
| 53 | 2c19:dd:ddea::3400:0:0/88 | 2c19:dd:ddea::34ff:ffff:ffff |
| 54 | 2c19:dd:ddea::3500:0:0/88 | 2c19:dd:ddea::35ff:ffff:ffff |
| 55 | 2c19:dd:ddea::3600:0:0/88 | 2c19:dd:ddea::36ff:ffff:ffff |
| 56 | 2c19:dd:ddea::3700:0:0/88 | 2c19:dd:ddea::37ff:ffff:ffff |
| 57 | 2c19:dd:ddea::3800:0:0/88 | 2c19:dd:ddea::38ff:ffff:ffff |
| 58 | 2c19:dd:ddea::3900:0:0/88 | 2c19:dd:ddea::39ff:ffff:ffff |
| 59 | 2c19:dd:ddea::3a00:0:0/88 | 2c19:dd:ddea::3aff:ffff:ffff |
| 60 | 2c19:dd:ddea::3b00:0:0/88 | 2c19:dd:ddea::3bff:ffff:ffff |
| 61 | 2c19:dd:ddea::3c00:0:0/88 | 2c19:dd:ddea::3cff:ffff:ffff |
| 62 | 2c19:dd:ddea::3d00:0:0/88 | 2c19:dd:ddea::3dff:ffff:ffff |
| 63 | 2c19:dd:ddea::3e00:0:0/88 | 2c19:dd:ddea::3eff:ffff:ffff |
| 64 | 2c19:dd:ddea::3f00:0:0/88 | 2c19:dd:ddea::3fff:ffff:ffff |
| 65 | 2c19:dd:ddea::4000:0:0/88 | 2c19:dd:ddea::40ff:ffff:ffff |
| 66 | 2c19:dd:ddea::4100:0:0/88 | 2c19:dd:ddea::41ff:ffff:ffff |
| 67 | 2c19:dd:ddea::4200:0:0/88 | 2c19:dd:ddea::42ff:ffff:ffff |
| 68 | 2c19:dd:ddea::4300:0:0/88 | 2c19:dd:ddea::43ff:ffff:ffff |
| 69 | 2c19:dd:ddea::4400:0:0/88 | 2c19:dd:ddea::44ff:ffff:ffff |
| 70 | 2c19:dd:ddea::4500:0:0/88 | 2c19:dd:ddea::45ff:ffff:ffff |
| 71 | 2c19:dd:ddea::4600:0:0/88 | 2c19:dd:ddea::46ff:ffff:ffff |
| 72 | 2c19:dd:ddea::4700:0:0/88 | 2c19:dd:ddea::47ff:ffff:ffff |
| 73 | 2c19:dd:ddea::4800:0:0/88 | 2c19:dd:ddea::48ff:ffff:ffff |
| 74 | 2c19:dd:ddea::4900:0:0/88 | 2c19:dd:ddea::49ff:ffff:ffff |
| 75 | 2c19:dd:ddea::4a00:0:0/88 | 2c19:dd:ddea::4aff:ffff:ffff |
| 76 | 2c19:dd:ddea::4b00:0:0/88 | 2c19:dd:ddea::4bff:ffff:ffff |
| 77 | 2c19:dd:ddea::4c00:0:0/88 | 2c19:dd:ddea::4cff:ffff:ffff |
| 78 | 2c19:dd:ddea::4d00:0:0/88 | 2c19:dd:ddea::4dff:ffff:ffff |
| 79 | 2c19:dd:ddea::4e00:0:0/88 | 2c19:dd:ddea::4eff:ffff:ffff |
| 80 | 2c19:dd:ddea::4f00:0:0/88 | 2c19:dd:ddea::4fff:ffff:ffff |
| 81 | 2c19:dd:ddea::5000:0:0/88 | 2c19:dd:ddea::50ff:ffff:ffff |
| 82 | 2c19:dd:ddea::5100:0:0/88 | 2c19:dd:ddea::51ff:ffff:ffff |
| 83 | 2c19:dd:ddea::5200:0:0/88 | 2c19:dd:ddea::52ff:ffff:ffff |
| 84 | 2c19:dd:ddea::5300:0:0/88 | 2c19:dd:ddea::53ff:ffff:ffff |
| 85 | 2c19:dd:ddea::5400:0:0/88 | 2c19:dd:ddea::54ff:ffff:ffff |
| 86 | 2c19:dd:ddea::5500:0:0/88 | 2c19:dd:ddea::55ff:ffff:ffff |
| 87 | 2c19:dd:ddea::5600:0:0/88 | 2c19:dd:ddea::56ff:ffff:ffff |
| 88 | 2c19:dd:ddea::5700:0:0/88 | 2c19:dd:ddea::57ff:ffff:ffff |
| 89 | 2c19:dd:ddea::5800:0:0/88 | 2c19:dd:ddea::58ff:ffff:ffff |
| 90 | 2c19:dd:ddea::5900:0:0/88 | 2c19:dd:ddea::59ff:ffff:ffff |
| 91 | 2c19:dd:ddea::5a00:0:0/88 | 2c19:dd:ddea::5aff:ffff:ffff |
| 92 | 2c19:dd:ddea::5b00:0:0/88 | 2c19:dd:ddea::5bff:ffff:ffff |
| 93 | 2c19:dd:ddea::5c00:0:0/88 | 2c19:dd:ddea::5cff:ffff:ffff |
| 94 | 2c19:dd:ddea::5d00:0:0/88 | 2c19:dd:ddea::5dff:ffff:ffff |
| 95 | 2c19:dd:ddea::5e00:0:0/88 | 2c19:dd:ddea::5eff:ffff:ffff |
| 96 | 2c19:dd:ddea::5f00:0:0/88 | 2c19:dd:ddea::5fff:ffff:ffff |
| 97 | 2c19:dd:ddea::6000:0:0/88 | 2c19:dd:ddea::60ff:ffff:ffff |
| 98 | 2c19:dd:ddea::6100:0:0/88 | 2c19:dd:ddea::61ff:ffff:ffff |
| 99 | 2c19:dd:ddea::6200:0:0/88 | 2c19:dd:ddea::62ff:ffff:ffff |
| 100 | 2c19:dd:ddea::6300:0:0/88 | 2c19:dd:ddea::63ff:ffff:ffff |
| 101 | 2c19:dd:ddea::6400:0:0/88 | 2c19:dd:ddea::64ff:ffff:ffff |
| 102 | 2c19:dd:ddea::6500:0:0/88 | 2c19:dd:ddea::65ff:ffff:ffff |
| 103 | 2c19:dd:ddea::6600:0:0/88 | 2c19:dd:ddea::66ff:ffff:ffff |
| 104 | 2c19:dd:ddea::6700:0:0/88 | 2c19:dd:ddea::67ff:ffff:ffff |
| 105 | 2c19:dd:ddea::6800:0:0/88 | 2c19:dd:ddea::68ff:ffff:ffff |
| 106 | 2c19:dd:ddea::6900:0:0/88 | 2c19:dd:ddea::69ff:ffff:ffff |
| 107 | 2c19:dd:ddea::6a00:0:0/88 | 2c19:dd:ddea::6aff:ffff:ffff |
| 108 | 2c19:dd:ddea::6b00:0:0/88 | 2c19:dd:ddea::6bff:ffff:ffff |
| 109 | 2c19:dd:ddea::6c00:0:0/88 | 2c19:dd:ddea::6cff:ffff:ffff |
| 110 | 2c19:dd:ddea::6d00:0:0/88 | 2c19:dd:ddea::6dff:ffff:ffff |
| 111 | 2c19:dd:ddea::6e00:0:0/88 | 2c19:dd:ddea::6eff:ffff:ffff |
| 112 | 2c19:dd:ddea::6f00:0:0/88 | 2c19:dd:ddea::6fff:ffff:ffff |
| 113 | 2c19:dd:ddea::7000:0:0/88 | 2c19:dd:ddea::70ff:ffff:ffff |
| 114 | 2c19:dd:ddea::7100:0:0/88 | 2c19:dd:ddea::71ff:ffff:ffff |
| 115 | 2c19:dd:ddea::7200:0:0/88 | 2c19:dd:ddea::72ff:ffff:ffff |
| 116 | 2c19:dd:ddea::7300:0:0/88 | 2c19:dd:ddea::73ff:ffff:ffff |
| 117 | 2c19:dd:ddea::7400:0:0/88 | 2c19:dd:ddea::74ff:ffff:ffff |
| 118 | 2c19:dd:ddea::7500:0:0/88 | 2c19:dd:ddea::75ff:ffff:ffff |
| 119 | 2c19:dd:ddea::7600:0:0/88 | 2c19:dd:ddea::76ff:ffff:ffff |
| 120 | 2c19:dd:ddea::7700:0:0/88 | 2c19:dd:ddea::77ff:ffff:ffff |
| 121 | 2c19:dd:ddea::7800:0:0/88 | 2c19:dd:ddea::78ff:ffff:ffff |
| 122 | 2c19:dd:ddea::7900:0:0/88 | 2c19:dd:ddea::79ff:ffff:ffff |
| 123 | 2c19:dd:ddea::7a00:0:0/88 | 2c19:dd:ddea::7aff:ffff:ffff |
| 124 | 2c19:dd:ddea::7b00:0:0/88 | 2c19:dd:ddea::7bff:ffff:ffff |
| 125 | 2c19:dd:ddea::7c00:0:0/88 | 2c19:dd:ddea::7cff:ffff:ffff |
| 126 | 2c19:dd:ddea::7d00:0:0/88 | 2c19:dd:ddea::7dff:ffff:ffff |
| 127 | 2c19:dd:ddea::7e00:0:0/88 | 2c19:dd:ddea::7eff:ffff:ffff |
| 128 | 2c19:dd:ddea::7f00:0:0/88 | 2c19:dd:ddea::7fff:ffff:ffff |
| 129 | 2c19:dd:ddea::8000:0:0/88 | 2c19:dd:ddea::80ff:ffff:ffff |
| 130 | 2c19:dd:ddea::8100:0:0/88 | 2c19:dd:ddea::81ff:ffff:ffff |
| 131 | 2c19:dd:ddea::8200:0:0/88 | 2c19:dd:ddea::82ff:ffff:ffff |
| 132 | 2c19:dd:ddea::8300:0:0/88 | 2c19:dd:ddea::83ff:ffff:ffff |
| 133 | 2c19:dd:ddea::8400:0:0/88 | 2c19:dd:ddea::84ff:ffff:ffff |
| 134 | 2c19:dd:ddea::8500:0:0/88 | 2c19:dd:ddea::85ff:ffff:ffff |
| 135 | 2c19:dd:ddea::8600:0:0/88 | 2c19:dd:ddea::86ff:ffff:ffff |
| 136 | 2c19:dd:ddea::8700:0:0/88 | 2c19:dd:ddea::87ff:ffff:ffff |
| 137 | 2c19:dd:ddea::8800:0:0/88 | 2c19:dd:ddea::88ff:ffff:ffff |
| 138 | 2c19:dd:ddea::8900:0:0/88 | 2c19:dd:ddea::89ff:ffff:ffff |
| 139 | 2c19:dd:ddea::8a00:0:0/88 | 2c19:dd:ddea::8aff:ffff:ffff |
| 140 | 2c19:dd:ddea::8b00:0:0/88 | 2c19:dd:ddea::8bff:ffff:ffff |
| 141 | 2c19:dd:ddea::8c00:0:0/88 | 2c19:dd:ddea::8cff:ffff:ffff |
| 142 | 2c19:dd:ddea::8d00:0:0/88 | 2c19:dd:ddea::8dff:ffff:ffff |
| 143 | 2c19:dd:ddea::8e00:0:0/88 | 2c19:dd:ddea::8eff:ffff:ffff |
| 144 | 2c19:dd:ddea::8f00:0:0/88 | 2c19:dd:ddea::8fff:ffff:ffff |
| 145 | 2c19:dd:ddea::9000:0:0/88 | 2c19:dd:ddea::90ff:ffff:ffff |
| 146 | 2c19:dd:ddea::9100:0:0/88 | 2c19:dd:ddea::91ff:ffff:ffff |
| 147 | 2c19:dd:ddea::9200:0:0/88 | 2c19:dd:ddea::92ff:ffff:ffff |
| 148 | 2c19:dd:ddea::9300:0:0/88 | 2c19:dd:ddea::93ff:ffff:ffff |
| 149 | 2c19:dd:ddea::9400:0:0/88 | 2c19:dd:ddea::94ff:ffff:ffff |
| 150 | 2c19:dd:ddea::9500:0:0/88 | 2c19:dd:ddea::95ff:ffff:ffff |
| 151 | 2c19:dd:ddea::9600:0:0/88 | 2c19:dd:ddea::96ff:ffff:ffff |
| 152 | 2c19:dd:ddea::9700:0:0/88 | 2c19:dd:ddea::97ff:ffff:ffff |
| 153 | 2c19:dd:ddea::9800:0:0/88 | 2c19:dd:ddea::98ff:ffff:ffff |
| 154 | 2c19:dd:ddea::9900:0:0/88 | 2c19:dd:ddea::99ff:ffff:ffff |
| 155 | 2c19:dd:ddea::9a00:0:0/88 | 2c19:dd:ddea::9aff:ffff:ffff |
| 156 | 2c19:dd:ddea::9b00:0:0/88 | 2c19:dd:ddea::9bff:ffff:ffff |
| 157 | 2c19:dd:ddea::9c00:0:0/88 | 2c19:dd:ddea::9cff:ffff:ffff |
| 158 | 2c19:dd:ddea::9d00:0:0/88 | 2c19:dd:ddea::9dff:ffff:ffff |
| 159 | 2c19:dd:ddea::9e00:0:0/88 | 2c19:dd:ddea::9eff:ffff:ffff |
| 160 | 2c19:dd:ddea::9f00:0:0/88 | 2c19:dd:ddea::9fff:ffff:ffff |
| 161 | 2c19:dd:ddea::a000:0:0/88 | 2c19:dd:ddea::a0ff:ffff:ffff |
| 162 | 2c19:dd:ddea::a100:0:0/88 | 2c19:dd:ddea::a1ff:ffff:ffff |
| 163 | 2c19:dd:ddea::a200:0:0/88 | 2c19:dd:ddea::a2ff:ffff:ffff |
| 164 | 2c19:dd:ddea::a300:0:0/88 | 2c19:dd:ddea::a3ff:ffff:ffff |
| 165 | 2c19:dd:ddea::a400:0:0/88 | 2c19:dd:ddea::a4ff:ffff:ffff |
| 166 | 2c19:dd:ddea::a500:0:0/88 | 2c19:dd:ddea::a5ff:ffff:ffff |
| 167 | 2c19:dd:ddea::a600:0:0/88 | 2c19:dd:ddea::a6ff:ffff:ffff |
| 168 | 2c19:dd:ddea::a700:0:0/88 | 2c19:dd:ddea::a7ff:ffff:ffff |
| 169 | 2c19:dd:ddea::a800:0:0/88 | 2c19:dd:ddea::a8ff:ffff:ffff |
| 170 | 2c19:dd:ddea::a900:0:0/88 | 2c19:dd:ddea::a9ff:ffff:ffff |
| 171 | 2c19:dd:ddea::aa00:0:0/88 | 2c19:dd:ddea::aaff:ffff:ffff |
| 172 | 2c19:dd:ddea::ab00:0:0/88 | 2c19:dd:ddea::abff:ffff:ffff |
| 173 | 2c19:dd:ddea::ac00:0:0/88 | 2c19:dd:ddea::acff:ffff:ffff |
| 174 | 2c19:dd:ddea::ad00:0:0/88 | 2c19:dd:ddea::adff:ffff:ffff |
| 175 | 2c19:dd:ddea::ae00:0:0/88 | 2c19:dd:ddea::aeff:ffff:ffff |
| 176 | 2c19:dd:ddea::af00:0:0/88 | 2c19:dd:ddea::afff:ffff:ffff |
| 177 | 2c19:dd:ddea::b000:0:0/88 | 2c19:dd:ddea::b0ff:ffff:ffff |
| 178 | 2c19:dd:ddea::b100:0:0/88 | 2c19:dd:ddea::b1ff:ffff:ffff |
| 179 | 2c19:dd:ddea::b200:0:0/88 | 2c19:dd:ddea::b2ff:ffff:ffff |
| 180 | 2c19:dd:ddea::b300:0:0/88 | 2c19:dd:ddea::b3ff:ffff:ffff |
| 181 | 2c19:dd:ddea::b400:0:0/88 | 2c19:dd:ddea::b4ff:ffff:ffff |
| 182 | 2c19:dd:ddea::b500:0:0/88 | 2c19:dd:ddea::b5ff:ffff:ffff |
| 183 | 2c19:dd:ddea::b600:0:0/88 | 2c19:dd:ddea::b6ff:ffff:ffff |
| 184 | 2c19:dd:ddea::b700:0:0/88 | 2c19:dd:ddea::b7ff:ffff:ffff |
| 185 | 2c19:dd:ddea::b800:0:0/88 | 2c19:dd:ddea::b8ff:ffff:ffff |
| 186 | 2c19:dd:ddea::b900:0:0/88 | 2c19:dd:ddea::b9ff:ffff:ffff |
| 187 | 2c19:dd:ddea::ba00:0:0/88 | 2c19:dd:ddea::baff:ffff:ffff |
| 188 | 2c19:dd:ddea::bb00:0:0/88 | 2c19:dd:ddea::bbff:ffff:ffff |
| 189 | 2c19:dd:ddea::bc00:0:0/88 | 2c19:dd:ddea::bcff:ffff:ffff |
| 190 | 2c19:dd:ddea::bd00:0:0/88 | 2c19:dd:ddea::bdff:ffff:ffff |
| 191 | 2c19:dd:ddea::be00:0:0/88 | 2c19:dd:ddea::beff:ffff:ffff |
| 192 | 2c19:dd:ddea::bf00:0:0/88 | 2c19:dd:ddea::bfff:ffff:ffff |
| 193 | 2c19:dd:ddea::c000:0:0/88 | 2c19:dd:ddea::c0ff:ffff:ffff |
| 194 | 2c19:dd:ddea::c100:0:0/88 | 2c19:dd:ddea::c1ff:ffff:ffff |
| 195 | 2c19:dd:ddea::c200:0:0/88 | 2c19:dd:ddea::c2ff:ffff:ffff |
| 196 | 2c19:dd:ddea::c300:0:0/88 | 2c19:dd:ddea::c3ff:ffff:ffff |
| 197 | 2c19:dd:ddea::c400:0:0/88 | 2c19:dd:ddea::c4ff:ffff:ffff |
| 198 | 2c19:dd:ddea::c500:0:0/88 | 2c19:dd:ddea::c5ff:ffff:ffff |
| 199 | 2c19:dd:ddea::c600:0:0/88 | 2c19:dd:ddea::c6ff:ffff:ffff |
| 200 | 2c19:dd:ddea::c700:0:0/88 | 2c19:dd:ddea::c7ff:ffff:ffff |
| 201 | 2c19:dd:ddea::c800:0:0/88 | 2c19:dd:ddea::c8ff:ffff:ffff |
| 202 | 2c19:dd:ddea::c900:0:0/88 | 2c19:dd:ddea::c9ff:ffff:ffff |
| 203 | 2c19:dd:ddea::ca00:0:0/88 | 2c19:dd:ddea::caff:ffff:ffff |
| 204 | 2c19:dd:ddea::cb00:0:0/88 | 2c19:dd:ddea::cbff:ffff:ffff |
| 205 | 2c19:dd:ddea::cc00:0:0/88 | 2c19:dd:ddea::ccff:ffff:ffff |
| 206 | 2c19:dd:ddea::cd00:0:0/88 | 2c19:dd:ddea::cdff:ffff:ffff |
| 207 | 2c19:dd:ddea::ce00:0:0/88 | 2c19:dd:ddea::ceff:ffff:ffff |
| 208 | 2c19:dd:ddea::cf00:0:0/88 | 2c19:dd:ddea::cfff:ffff:ffff |
| 209 | 2c19:dd:ddea::d000:0:0/88 | 2c19:dd:ddea::d0ff:ffff:ffff |
| 210 | 2c19:dd:ddea::d100:0:0/88 | 2c19:dd:ddea::d1ff:ffff:ffff |
| 211 | 2c19:dd:ddea::d200:0:0/88 | 2c19:dd:ddea::d2ff:ffff:ffff |
| 212 | 2c19:dd:ddea::d300:0:0/88 | 2c19:dd:ddea::d3ff:ffff:ffff |
| 213 | 2c19:dd:ddea::d400:0:0/88 | 2c19:dd:ddea::d4ff:ffff:ffff |
| 214 | 2c19:dd:ddea::d500:0:0/88 | 2c19:dd:ddea::d5ff:ffff:ffff |
| 215 | 2c19:dd:ddea::d600:0:0/88 | 2c19:dd:ddea::d6ff:ffff:ffff |
| 216 | 2c19:dd:ddea::d700:0:0/88 | 2c19:dd:ddea::d7ff:ffff:ffff |
| 217 | 2c19:dd:ddea::d800:0:0/88 | 2c19:dd:ddea::d8ff:ffff:ffff |
| 218 | 2c19:dd:ddea::d900:0:0/88 | 2c19:dd:ddea::d9ff:ffff:ffff |
| 219 | 2c19:dd:ddea::da00:0:0/88 | 2c19:dd:ddea::daff:ffff:ffff |
| 220 | 2c19:dd:ddea::db00:0:0/88 | 2c19:dd:ddea::dbff:ffff:ffff |
| 221 | 2c19:dd:ddea::dc00:0:0/88 | 2c19:dd:ddea::dcff:ffff:ffff |
| 222 | 2c19:dd:ddea::dd00:0:0/88 | 2c19:dd:ddea::ddff:ffff:ffff |
| 223 | 2c19:dd:ddea::de00:0:0/88 | 2c19:dd:ddea::deff:ffff:ffff |
| 224 | 2c19:dd:ddea::df00:0:0/88 | 2c19:dd:ddea::dfff:ffff:ffff |
| 225 | 2c19:dd:ddea::e000:0:0/88 | 2c19:dd:ddea::e0ff:ffff:ffff |
| 226 | 2c19:dd:ddea::e100:0:0/88 | 2c19:dd:ddea::e1ff:ffff:ffff |
| 227 | 2c19:dd:ddea::e200:0:0/88 | 2c19:dd:ddea::e2ff:ffff:ffff |
| 228 | 2c19:dd:ddea::e300:0:0/88 | 2c19:dd:ddea::e3ff:ffff:ffff |
| 229 | 2c19:dd:ddea::e400:0:0/88 | 2c19:dd:ddea::e4ff:ffff:ffff |
| 230 | 2c19:dd:ddea::e500:0:0/88 | 2c19:dd:ddea::e5ff:ffff:ffff |
| 231 | 2c19:dd:ddea::e600:0:0/88 | 2c19:dd:ddea::e6ff:ffff:ffff |
| 232 | 2c19:dd:ddea::e700:0:0/88 | 2c19:dd:ddea::e7ff:ffff:ffff |
| 233 | 2c19:dd:ddea::e800:0:0/88 | 2c19:dd:ddea::e8ff:ffff:ffff |
| 234 | 2c19:dd:ddea::e900:0:0/88 | 2c19:dd:ddea::e9ff:ffff:ffff |
| 235 | 2c19:dd:ddea::ea00:0:0/88 | 2c19:dd:ddea::eaff:ffff:ffff |
| 236 | 2c19:dd:ddea::eb00:0:0/88 | 2c19:dd:ddea::ebff:ffff:ffff |
| 237 | 2c19:dd:ddea::ec00:0:0/88 | 2c19:dd:ddea::ecff:ffff:ffff |
| 238 | 2c19:dd:ddea::ed00:0:0/88 | 2c19:dd:ddea::edff:ffff:ffff |
| 239 | 2c19:dd:ddea::ee00:0:0/88 | 2c19:dd:ddea::eeff:ffff:ffff |
| 240 | 2c19:dd:ddea::ef00:0:0/88 | 2c19:dd:ddea::efff:ffff:ffff |
| 241 | 2c19:dd:ddea::f000:0:0/88 | 2c19:dd:ddea::f0ff:ffff:ffff |
| 242 | 2c19:dd:ddea::f100:0:0/88 | 2c19:dd:ddea::f1ff:ffff:ffff |
| 243 | 2c19:dd:ddea::f200:0:0/88 | 2c19:dd:ddea::f2ff:ffff:ffff |
| 244 | 2c19:dd:ddea::f300:0:0/88 | 2c19:dd:ddea::f3ff:ffff:ffff |
| 245 | 2c19:dd:ddea::f400:0:0/88 | 2c19:dd:ddea::f4ff:ffff:ffff |
| 246 | 2c19:dd:ddea::f500:0:0/88 | 2c19:dd:ddea::f5ff:ffff:ffff |
| 247 | 2c19:dd:ddea::f600:0:0/88 | 2c19:dd:ddea::f6ff:ffff:ffff |
| 248 | 2c19:dd:ddea::f700:0:0/88 | 2c19:dd:ddea::f7ff:ffff:ffff |
| 249 | 2c19:dd:ddea::f800:0:0/88 | 2c19:dd:ddea::f8ff:ffff:ffff |
| 250 | 2c19:dd:ddea::f900:0:0/88 | 2c19:dd:ddea::f9ff:ffff:ffff |
| 251 | 2c19:dd:ddea::fa00:0:0/88 | 2c19:dd:ddea::faff:ffff:ffff |
| 252 | 2c19:dd:ddea::fb00:0:0/88 | 2c19:dd:ddea::fbff:ffff:ffff |
| 253 | 2c19:dd:ddea::fc00:0:0/88 | 2c19:dd:ddea::fcff:ffff:ffff |
| 254 | 2c19:dd:ddea::fd00:0:0/88 | 2c19:dd:ddea::fdff:ffff:ffff |
| 255 | 2c19:dd:ddea::fe00:0:0/88 | 2c19:dd:ddea::feff:ffff:ffff |
| 256 | 2c19:dd:ddea::ff00:0:0/88 | 2c19:dd:ddea::ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |